In this note, I will explain the resolution to a specific error found when tokenizing using the FDI IDE.  Below is a screenshot of the error:

This error occurs when you are working on a project that was first created using an earlier java version.

To resolve this, you need to open up the "External Tools Configuration" menu, which can be reached by first selecting the "Run" menu, then the "External Tools" menu, and then selecting "External Tools Configuration".  The window below will open:

Once in this window, select the "JRE" tab.  It will appear similar to below:

Within the "Runtime JRE" box, you can select the option "Run in the same JRE as the workspace", or select "Separate JRE", and use the drop-down menu to pick a version of java that is currently installed on your machine.

Once you have made that selection, click on "Apply", and then "Close".

You should now be able to tokenize.